commit:     3dd9b5b6123f1eac791eb5d95c57a5e834c9fa00
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 01:28:06 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 01:28:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dd9b5b6

sys-devel/slibtool: Added live ebuild

as requested by oreba in IRC

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-devel/slibtool/slibtool-9999.ebuild | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/sys-devel/slibtool/slibtool-9999.ebuild 
b/sys-devel/slibtool/slibtool-9999.ebuild
new file mode 100644
index 00000000000..b0b74aa5e38
--- /dev/null
+++ b/sys-devel/slibtool/slibtool-9999.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A skinny libtool implementation, written in C"
+HOMEPAGE="https://git.midipix.org/cgit.cgi/slibtool";
+if [[ "${PV}" == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.midipix.org/slibtool";
+else
+       SRC_URI="https://git.midipix.org/cgit.cgi/${PN}/snapshot/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm"
+fi
+LICENSE="MIT"
+SLOT="0"
+
+src_configure() {
+       # custom configure script (not generated by autoconf)
+       ./configure --host=${CHOST} --prefix="${EPREFIX}"/usr || die
+}

Reply via email to